from Products.Five.browser.pagetemplatefile import ViewPageTemplateFile
#from plone.app.layout.viewlets.common import ViewletBase
from plone.app.layout.viewlets.common import SiteActionsViewlet
from plone.app.layout.viewlets.common import GlobalSectionsViewlet

from zope.component import getMultiAdapter

class SiteActionsViewlet(SiteActionsViewlet):
    """ Custom version of site action for enslyon
    """
    index = ViewPageTemplateFile('enslyon_site_actions.pt')

    def update(self):
        context_state = getMultiAdapter((self.context, self.request),
                                        name=u'plone_context_state')
        self.site_actions = context_state.actions().get('enslyon_site_actions', None)
        
class GlobalSectionsViewlet(GlobalSectionsViewlet):
    index = ViewPageTemplateFile('enslyon_sections.pt')

    def update(self):
        context_state = getMultiAdapter((self.context, self.request),
                                        name=u'plone_context_state')
        actions = context_state.actions()
        portal_tabs_view = getMultiAdapter((self.context, self.request),
                                           name='portal_tabs_view')
        self.portal_tabs = portal_tabs_view.topLevelTabs(actions=actions, category='enslyon_portal_tabs')

        selectedTabs = self.context.restrictedTraverse('selectedTabs')
        self.selected_tabs = selectedTabs('index_html',
                                          self.context,
                                          self.portal_tabs)
        self.selected_portal_tab = self.selected_tabs['portal']
      